%define upstream_name    Text-ExtractWords
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Perl extension for extract words from strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
The aim of this module is to extract the words from the texts or mails to
identify spam. But it can be used for another purpose.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-13.mga6
+ Revision: 1034914
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.80.0-12.mga6
+ Revision: 958081
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.80.0-11.mga6
+ Revision: 845323
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.80.0-10.mga6
+ Revision: 841453
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-9.mga5
+ Revision: 746855
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.80.0-8.mga5
+ Revision: 736094
- add exclude

* Sat Sep 27 2014 tv <tv> 0.80.0-7.mga5
+ Revision: 727742
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 686619
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-5.mga5
+ Revision: 631787
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-4.mga4
+ Revision: 525050
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.80.0-3.mga4
+ Revision: 431814
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 374043
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 shlomif <shlomif> 0.80.0-1.mga3
+ Revision: 341255
- imported package perl-Text-ExtractWords


* Mon Jan 07 2013 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
